### Function

# Gimp get_images

#### Declaration [src]

    GimpImage**
    gimp_get_images (
      gint* num_images
    )

#### Description [src]

Returns the list of images currently open.

This procedure returns the list of images currently open in GIMP.

This function is not directly available to language bindings

#### Parameters

`num_images` | `gint*`
| The number of images currently open.
| The argument will be set by the function.

#### Return value

Returns: | An array of `GimpImage*`

         The list of images currently open.
         The returned value must be freed with g_free().

| The length of the array is in the `num_images` argument.
| The caller of the function takes ownership of the data container, but not the data inside it.